Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Oct 14 21:02
    Aaronontheweb synchronize #3975
  • Oct 14 21:02
    Aaronontheweb opened #3975
  • Oct 14 20:11
    IgorFedchenko commented #3973
  • Oct 14 20:10
    IgorFedchenko synchronize #3973
  • Oct 14 20:06
    IgorFedchenko synchronize #3973
  • Oct 14 20:06
    IgorFedchenko synchronize #3973
  • Oct 14 19:42
    IgorFedchenko edited #3973
  • Oct 14 18:08
    Aaronontheweb commented #3937
  • Oct 14 17:27
    Aaronontheweb commented #90
  • Oct 14 17:26
    Aaronontheweb commented #90
  • Oct 14 17:25
    Aaronontheweb assigned #90
  • Oct 14 17:16

    Aaronontheweb on dev

    Provide static GetRoutees.Insta… (compare)

  • Oct 14 17:16
    Aaronontheweb closed #3974
  • Oct 14 17:16
    Aaronontheweb milestoned #3974
  • Oct 14 16:05
    jackowild opened #90
  • Oct 14 15:08
    Aaronontheweb commented #3974
  • Oct 14 15:08
    Aaronontheweb commented #3974
  • Oct 13 14:40
    cptjazz synchronize #3974
  • Oct 13 14:07
    cptjazz opened #3974
  • Oct 13 08:30
    ismaelhamed commented #3937
David Rivera
@mithril52
I seem to be having some issues with Akka and its use of System.Collections.Immutable. If I use 1.2.0 version of Immutable, when I go to create my actor system with a provided config object, it throws an exception saying it cannot find Immutable 1.1.36. Then if I change the Immutable version to 1.1.36, it says it can't find version 1.2.0 of Immutable. Has anyone else come across an issue like this?
Aaron Stannard
@Aaronontheweb
@mithril52 which modules are you using?
all of the shipped Akka.NET modules depend on 1.1.36
David Rivera
@mithril52
Cluster, DI.Core, DI.Ninject, Logger.Serilog, Remote, Testkit, TestKit.XUnit
All 1.1.3
Well, exc ept Serilog. Its at 1.12
1.1.2
Aaron Stannard
@Aaronontheweb
although we're looking at upgrading to the latest here: akkadotnet/akka.net#2509
IMHO, check to see if you have a binding redirect defined in App.config
when you're using 1.1.36
and delete it if it's there
David Rivera
@mithril52
Hmm, ok
Aaron Stannard
@Aaronontheweb
could have been added when you upgraded to 1.2
David Rivera
@mithril52
But I should be using 1.136?
Aaron Stannard
@Aaronontheweb
yep
that's what we support today
David Rivera
@mithril52
Okay
Yup, loosk like thats it. It added rebindings to every project
David Rivera
@mithril52
Thanks Aaron, that fixed it. I hate it when I'm too deep into an issue to see the issue staring me in the face :)
Aaron Stannard
@Aaronontheweb
you're welcome man
some words of advice
it's almost always something stupid
when it comes to mystifying issues like that
David Rivera
@mithril52
Yup, it almost always is :)
Aaron Stannard
@Aaronontheweb
I can't tell you the number of times I've destroyed a build queue because something snuck a dependency into my .CSPROJ that wasn't supported by the build server
personal favorite was causing the server to explode because a user submitted a powershell script that contained some German characters
David Rivera
@mithril52
Heh, ouch
Aaron Stannard
@Aaronontheweb
(on an internal project)
Marc Piechura
@marcpiechura
Ößäü 😜
Aaron Stannard
@Aaronontheweb
:fire: :fire: :fire:
fire burning fire burning on the buiiiiiiiiiiiiiiiild server
saxophone solo
David Rivera
@mithril52
The magic smoke is getting out!
Aaron Stannard
@Aaronontheweb
I told you not to use unicoooooooooooooooooooode
Sergey Prytkov
@Rattenkrieg
@Aaronontheweb it seems I've encountered wrongly constructed spec while being looking for example for docs
If these nodes supposed to gain separate gating duration each like First - 1d; Second - 1s then there should be two distinc NodeConfig calls per each role
Aaron Stannard
@Aaronontheweb
ah
mind submitting a PR to fix that?
yeah, that'd be wrong then
Sergey Prytkov
@Rattenkrieg
I'm going to pay tech debt regarding our discussion about obsolete regexp in #2502
So I can carry it too
But surprisingly this spec is passing all this time lol
Arjen Smits
@Danthar
for the people who are interested. The serilog logger plugin has been updated to 1.1.3
Denis Podgorodnichenko
@denisobm
Hi guys! Have a question about new hyperion serializer. We are using actively Akka.Cluster.Tools and Akka.Cluster.Sharding. Can we swtich to hyperion from wire right now, or we should wait for special update of Akka.Cluster.Tools?
Denis Podgorodnichenko
@denisobm
there are some inconsistency in docs
Starting from Akka.NET v1.5, default Newtonsoft.Json serializer will be replaced in the favor of Hyperion. At the present moment, wire is required by some of the newer plugins (like Akka.Cluster.Tools).
Arjen Smits
@Danthar
hah! lol. Woops. Well feel free to do a PR ? :D
Ricky Blankenaufulland
@ZoolWay
@denisobm I had problems with Akka.Cluster.Tools and Wire 0.7.1 (see issue #2365 ). With Akka.NET 1.1.3 I hoped together with Hyperion this should be fixed but I am getting Cannot find serializer with id [-5] error with just getting the pubsub mediator without using it. So not sure if going Hyperion is already an option. Still investigating this issue.
Ricky Blankenaufulland
@ZoolWay
Ah, the serializer error was caused by really one node still using wire. fixed that but getting some disassociation problems with one node, still investigating.